<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: lib-cookies.inc.php 4346 2006-03-06 16:43:19Z andrew@m3.net $
*/

/*-------------------------------------------------------*/
/* Store cookies to be set in a cache                    */
/*-------------------------------------------------------*/

function phpAds_setCookie ($name, $value, $expire = 0)
{
	global $phpAds_cookieCache;
	if (!isset($phpAds_cookieCache)) {
	    $phpAds_cookieCache = array();
	}
	$phpAds_cookieCache[] = array($name, $value, $expire);
}

/*-------------------------------------------------------*/
/* Send all cookies to the browser and clear cache       */
/*-------------------------------------------------------*/

function phpAds_flushCookie ()
{
    $conf = $GLOBALS['_MAX']['CONF'];
	global $phpAds_cookieCache;	
	if (isset($phpAds_cookieCache)) {
		// Send P3P headers
		if ($conf['p3p']['policies']) {
			$p3p_header = '';
			if ($conf['p3p']['policyLocation'] != '') {
				$p3p_header .= " policyref=\"".$conf['p3p']['policyLocation']."\"";
			}
            if ($conf['p3p']['policyLocation'] != '' && $conf['p3p']['compactPolicy'] != '') {
                $p3p_header .= ", ";
            }
			if ($conf['p3p']['compactPolicy'] != '') {
				$p3p_header .= " CP=\"".$conf['p3p']['compactPolicy']."\"";
			}
			if ($p3p_header != '') {
				header("P3P: $p3p_header");
			}
		}
		// Set cookies
		while (list($k,$v) = each($phpAds_cookieCache)) {
			list($name, $value, $expire) = $v;
            setcookie($name, $value, $expire, '/', (!empty($conf['cookie']['domain']) ? $conf['cookie']['domain'] : null));
		}
		// Clear cache
		$phpAds_cookieCache = array();
	}
}

?>
