<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Domain.delivery.php 4499 2006-03-24 13:55:00Z chris@m3.net $
*/

/**
 * @package    MaxPlugins
 * @subpackage DeliveryLimitations
 * @author     Chris Nutting <chris@m3.net>
 */


/**
 * Check to see if this impression contains the valid domain.
 *
 * @param string $data The domain limitation
 * @param string $ad The operator (either '==' or '!=')
 * @return boolean Whether this impression's domain passes this limitation's test.
 */
function MAX_checkClient_Domain($data, $ad)
{
    if ($data == '') {
        return true;
    }
    $host = gethostbyaddr($GLOBALS['_MAX']['CLIENT']['ip']);
    $domain 	= substr($host,-(strlen($data)));
    $expression = ($data == "*" || strtolower($domain) == strtolower($data));
    $operator   = $ad == '==';
    return ($expression == $operator);
}

?>
